Subject: Re: [Bug] rebase -i squashes submodule changes into unrelated commit

From: Junio C Hamano <[email-masked]>
Date: Tue, 27 Jan 2009 01:20:38 -0800

Junio C Hamano <[email-masked]> writes:

> Attempting to rebase three-commit series (two regular changes, followed by
> one commit that changes what commit is bound for a submodule path) to
> squash the first two results in a failure; not just the first two commits
> squashed, but the change to the submodule is also included in the result.
>
> This failure causes the subsequent step to "pick" the change that actually
> changes the submodule to be applied, because there is no change left to be
> applied.

Sorry, an obvious typo is here: s/to be applied,/to fail,/;